| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
tSdoHeaderUnion Union Reference

Union providing per-service-command bit-field access to the SDO command specifier byte. More...

`#include <packet-ecatmb.h>`

## Public Attributes
struct { |
uint8_t SizeInd: 1 |
uint8_t Expedited: 1 |
uint8_t Size: 2 |
uint8_t Complete: 1 |
uint8_t Ccs: 3 |
} | Idq
struct { |
uint8_t Reserved: 5 |
uint8_t Scs: 3 |
} | Ids
struct { |
uint8_t LastSeg: 1 |
uint8_t Size: 3 |
uint8_t Toggle: 1 |
uint8_t Ccs: 3 |
} | Dsq
struct { |
uint8_t Reserved: 4 |
uint8_t Toggle: 1 |
uint8_t Scs: 3 |
} | Dss
struct { |
uint8_t Reserved: 4 |
uint8_t Complete: 1 |
uint8_t Ccs: 3 |
} | Iuq
struct { |
uint8_t SizeInd: 1 |
uint8_t Expedited: 1 |
uint8_t Size: 2 |
uint8_t Complete: 1 |
uint8_t Scs: 3 |
} | Ius
struct { |
uint8_t Reserved: 4 |
uint8_t Toggle: 1 |
uint8_t Ccs: 3 |
} | Usq
struct { |
uint8_t LastSeg: 1 |
uint8_t Bytes: 3 |
uint8_t Toggle: 1 |
uint8_t Scs: 3 |
} | Uss
struct { |
uint8_t Reserved: 5 |
uint8_t Ccs: 3 |
} | Abt
uint8_t | CS

## Detailed Description

Union providing per-service-command bit-field access to the SDO command specifier byte.

Exactly one member is valid per SDO message, selected by the service type (Ccs/Scs field value and transfer direction).

## Member Data Documentation

## ◆ Bytes

uint8_t tSdoHeaderUnion::Bytes

Number of bytes in the segment that do NOT contain data.

## ◆ Ccs

uint8_t tSdoHeaderUnion::Ccs

Client command specifier; must be 1 for Initiate Download Request.

Client command specifier; must be 0 for Download Segment Request.

Client command specifier; must be 2 for Initiate Upload Request.

Client command specifier; must be 3 for Upload Segment Request.

Client command specifier; must be 4 for Abort Transfer.

## ◆ Complete

uint8_t tSdoHeaderUnion::Complete

Complete access flag: non-zero to access all sub-indices at once.

Complete access flag: non-zero if all sub-indices are included.

## ◆ CS

uint8_t tSdoHeaderUnion::CS

Raw command specifier byte.

## ◆ Expedited

uint8_t tSdoHeaderUnion::Expedited

Expedited transfer flag: non-zero if data fits in this frame.

## ◆ LastSeg

uint8_t tSdoHeaderUnion::LastSeg

Last-segment flag: non-zero if this is the final segment.

## ◆ Reserved

uint8_t tSdoHeaderUnion::Reserved

Reserved; must be zero.

## ◆ Scs

uint8_t tSdoHeaderUnion::Scs

Server command specifier; must be 3 for Initiate Download Response.

Server command specifier; must be 1 for Download Segment Response.

Server command specifier; must be 2 for Initiate Upload Response.

Server command specifier; must be 0 for Upload Segment Response.

## ◆ Size

uint8_t tSdoHeaderUnion::Size

Number of bytes in `Data` that do NOT contain data (expedited only).

Number of bytes in the segment that do NOT contain data.

## ◆ SizeInd

uint8_t tSdoHeaderUnion::SizeInd

Size indicator: non-zero if `Size` is valid.

## ◆ Toggle

uint8_t tSdoHeaderUnion::Toggle

Toggle bit; alternates between 0 and 1 for each successive segment.

Toggle bit; must match the toggle bit of the corresponding request.

The documentation for this union was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/ethercat/packet-ecatmb.h